﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using CalculatorLib;

namespace WinForms_2
{
    public partial class MainForm : Form
    {
        public MainForm()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Клик кнопки, вычисляющей ответ
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void btnCalculate_Click(object sender, EventArgs e)
        {
            double x, y, z;
            // Считываем данные
            try
            {
                x = double.Parse(tbInputX.Text);
                y = double.Parse(tbInputY.Text);
                z = double.Parse(tbInputZ.Text);
            }
            catch (FormatException)
            {
                MessageBox.Show("Убедитесь, что во всех полях указаны числа в правильном формате!");
                return;
            }

            // Вычисляем ответ
            bool success = false;
            double answer = Calculator.CalculateAnswer(x, y, z, ref success);
            if (success)
            {
                // Выводим ответ в lblAnswer
                lblAnswer.Visible = true;
                lblAnswer.Text = Convert.ToString(answer);
            }
            else
            {
                MessageBox.Show("При вычислении ответа произошла ошибка!");
            }
        }

        /// <summary>
        /// Метод загрузки главной формы
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void MainForm_Load(object sender, EventArgs e)
        {
            lblAnswer.Visible = false;
        }

    }
}
