﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace RadioCalculator
{
    public partial class CalculatorMain : Form
    {
        public CalculatorMain()
        {
            InitializeComponent();
        }
        /// <summary>
        /// Метод загрузки главной формы
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void CalcMainLoad(object sender, EventArgs e)
        {
            lblAnswer.Visible = false;
        }
        /// <summary>
        /// Обработчик нажатия кнопки вычисления ответа
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void btnCalculate_Click(object sender, EventArgs e)
        {
            // Считываем значения, проверяем правильность
            float x, y, z, Output;
            try
            {
                x = float.Parse(tbInputX.Text);
                y = float.Parse(tbInputY.Text);
                z = float.Parse(tbInputZ.Text);
            }
            catch (FormatException)
            {
                MessageBox.Show("Убедитесь, что во всех полях указаны числа в правильном формате!");
                return;
            }

            // Вычисляем ответ
            // Значение функции f(x)
            float FunctionOutput;
            try
            {
                if (rbFunctionSh.Checked)
                {
                    FunctionOutput = MathF.Sinh(x);
                }
                else if (rbFunctionPow2.Checked)
                {
                    FunctionOutput = (float)Math.Pow(x, 2);
                }
                else
                {
                    FunctionOutput = (float)Math.Pow(Math.E, x);
                }
                // Значение выражения
                Output = Math.Min(FunctionOutput + y, y - z) / Math.Max(FunctionOutput, y);
            } catch (Exception ex)
            {
                MessageBox.Show($"Возникла ошибка при вычислении выражения! ({ex.Message})");
                return;
            }
            
            // Записываем ответ в надпись
            lblAnswer.Visible = true;
            lblAnswer.Text = Convert.ToString(Output);
        }
    }
}
