﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace FormCycles
{
    public partial class Main : Form
    {
        public Main()
        {
            InitializeComponent();
        }
        /// <summary>
        /// Метод загрузки главной формы
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void Main_Load(object sender, EventArgs e)
        {
            // Центрируем кнопку вычисления ответа
            // Получаем ширину кнопки и формы
            int ButtonWidth = btnCalculate.Size.Width;
            int FormWidth = this.Size.Width;
            // Переопределяем позицию
            btnCalculate.Location = new Point(new Size((FormWidth - ButtonWidth) / 2, 322));
        }

		/// <summary>
		/// Вычисление ответа по нажатию на кнопку
		/// </summary>
        private void btnCalculateClick(object sender, EventArgs e)
        {
            // Считываем значения, проверяем правильность
            double X0, Xk, Dx, B;
            try
            {
                X0 = double.Parse(tbInputX0.Text);
                Xk = double.Parse(tbInputXk.Text);
                Dx = double.Parse(tbInputDx.Text);
                B = double.Parse(tbInputB.Text);
            }
            catch (FormatException)
            {
                MessageBox.Show("Убедитесь, что во всех полях указаны числа в правильном формате!");
                return;
            }

            // Перезаписываем текст поля ответа
            tbOutput.Text = $"Работу выполнил ст. Королёв В. С.{Environment.NewLine}";

            // Выполняем цикл, используя данные значения
            double x = X0;
            double y;
            while(true)
            {
                if (x > Xk) break;
                
                y = 9 * (Math.Pow(x,3) + Math.Pow(B, 3) * Math.Tan(x));
                tbOutput.Text += $"x={x}; y={y}{Environment.NewLine}";
                x += Dx;
            }
        }
    }
}
